Skip to main content
GET
/
api
/
organizations
/
{org_id}
/
automations
/
{run_id}
/
executions
List execution history for an automation
curl --request GET \
  --url https://api.getgranite.ai/api/organizations/{org_id}/automations/{run_id}/executions
{
  "executions": [
    {
      "execution_id": "<string>",
      "run_id": "<string>",
      "triggered_by": "<string>",
      "status": "<string>",
      "started_at": "2023-11-07T05:31:56Z",
      "endpoint_slug": "<string>",
      "parameters": [
        {}
      ],
      "completed_at": "2023-11-07T05:31:56Z",
      "duration_ms": 123,
      "result": {}
    }
  ],
  "total": 123,
  "limit": 123,
  "skip": 123
}

Path Parameters

org_id
string
required
run_id
string
required

Query Parameters

limit
integer
default:50
skip
integer
default:0
status
string | null

Response

Successful Response

Response for listing executions.

executions
ExecutionSummary · object[]
required

List of executions

total
integer
required

Total count of executions

limit
integer
required

Limit applied

skip
integer
required

Number of executions skipped